Bug 486917 - pop-ups cause windows to go transparent
pop-ups cause windows to go transparent
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-23 02:57 EST by Joe Bayes
Modified: 2009-12-03 20:37 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 16:27:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen capture showing the transparent emacs window in the lower left (269.25 KB, image/png)
2009-02-23 02:57 EST, Joe Bayes
no flags Details

  None (edit)
Description Joe Bayes 2009-02-23 02:57:59 EST
Created attachment 332905 [details]
Screen capture showing the transparent emacs window in the lower left

Description of problem:

After a pop-up in the program display bar times out, the next pop-up causes the part of the window under the first pop-up to go transparent. 

I know, that's a really bad description. Just look at the screen shot, in the lower left corner. 

Version-Release number of selected component (if applicable):
spoo:~$ rpm -qa |grep kde |grep -v lockdev |sort
compiz-kde-0.7.8-7.fc10.x86_64
kde-filesystem-4-23.fc10.noarch
kde-settings-4.1-6.20090206svn.fc10.noarch
kde-settings-kdm-4.1-6.20090206svn.fc10.noarch
kde-settings-pulseaudio-4.1-6.20090206svn.fc10.noarch
kdeaccessibility-4.2.0-1.fc10.x86_64
kdeartwork-4.2.0-1.fc10.x86_64
kdebase-4.2.0-6.fc10.x86_64
kdebase-libs-4.2.0-6.fc10.x86_64
kdebase-runtime-4.2.0-7.fc10.x86_64
kdebase-runtime-libs-4.2.0-7.fc10.x86_64
kdebase-workspace-4.2.0-8.fc10.x86_64
kdebase-workspace-libs-4.2.0-8.fc10.x86_64
kdebase3-3.5.10-4.fc10.x86_64
kdebase3-libs-3.5.10-4.fc10.x86_64
kdebase3-pim-ioslaves-3.5.10-4.fc10.x86_64
kdeedu-marble-4.2.0-7.fc10.x86_64
kdegames-4.2.0-1.fc10.x86_64
kdegames-libs-4.2.0-1.fc10.x86_64
kdegraphics-4.2.0-1.fc10.x86_64
kdegraphics-libs-4.2.0-1.fc10.x86_64
kdelibs-4.2.0-10.fc10.x86_64
kdelibs-common-4.2.0-10.fc10.x86_64
kdelibs3-3.5.10-3.fc10.x86_64
kdemultimedia-4.2.0-1.fc10.1.x86_64
kdemultimedia-libs-4.2.0-1.fc10.1.x86_64
kdenetwork-4.2.0-2.fc10.x86_64
kdenetwork-libs-4.2.0-2.fc10.x86_64
kdepim-4.2.0-2.fc10.x86_64
kdepim-libs-4.2.0-2.fc10.x86_64
kdepimlibs-4.2.0-2.fc10.x86_64
kdeplasma-addons-4.2.0-1.fc10.x86_64
kdeutils-4.2.0-1.fc10.x86_64
kdewebdev-3.5.10-1.fc10.x86_64
kdewebdev-libs-3.5.10-1.fc10.x86_64
solar-kde-theme-0.1.17-1.fc10.noarch


How reproducible:
Always

Steps to Reproduce:
1. Run a bunch of programs. Like, an emacs and some rxvt's. Not a firefox; bug doesn't manifest when it covers firefox. 
2. Hover cursor over one of the program icons at the bottom of the screen until the pop-up appears. Keep hovering a few seconds until it times out and disappears. 
3. Hover cursor over a different program icon at the bottom of the screen. 
  
Actual results:
As soon as second pop-up pops up, the area that was covered by the first pop-up goes transparent -- you can see all the way down to the wallpaper. 

Expected results:
Area covered by the first pop-up is painted with the contents of the window that the pop-up covered. 

Additional info:
Sorry about the quality of the screen capture. My fonts don't actually look that bad. 
I didn't have this bug until about a week ago. I think it happened when I updated kde.
Comment 1 Kevin Kofler 2009-02-23 05:55:16 EST
* What graphics hardware/driver?

* I see you have compiz-kde installed, are you using it when this happens?
Comment 2 Joe Bayes 2009-02-23 11:43:25 EST
I have uninstalled compiz-kde. Bug still manifests.

Graphics hardware is an onboard nvidia GeForce 6150+nForce 430. I have reproduced the bug with both the nv and proprietary nvidia drivers. 
xorg-x11-drv-nv-2.1.12-6.fc10.x86_64
xorg-x11-drv-nvidia-180.29-1.fc10.x86_64
Comment 3 Rex Dieter 2009-02-23 11:49:53 EST
It's almost certainly application bugs related to not refreshing their own windows, I'll see if I can reproduce this with emacs and xemacs.

any others?
Comment 4 Rex Dieter 2009-02-23 11:55:32 EST
Interesting....

Can't reproduce myself with emacs or xemacs, works fine here using intel graphics (without desktop effects enabled).
Comment 5 Joe Bayes 2009-02-25 12:35:24 EST
No, so far I've only been able to reproduce it with fsf emacs and rxvt. 

Sometimes it manifests on the third pop-up window, instead of the second.
Comment 6 Steven M. Parrish 2009-04-27 14:43:10 EDT
Ping?
Comment 7 Steven M. Parrish 2009-05-26 09:59:01 EDT
Is this still an ongoing issue with the new releases.  If no response in 30 days will close this as INSUFFICIENT_DATA
Comment 8 Joe Bayes 2009-06-03 02:27:54 EDT
Yes, I'm still having the problem with a fully up-to-date fedora 10, kdebase-4.2.3-1.fc10 .

I'd be happy to test with another version if you like.
Comment 9 Steven M. Parrish 2009-09-07 22:03:24 EDT
Is this still an issue with the current 4.3.0 release?  

If so....

Thank you for taking the time to report this issue.

This is an issue that needs to be addressed by the upstream developers. Please report this at http://bugs.kde.org and then add the upstream report information to this report.  We will monitor the upstream report for a resolution to this issue, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2009-11-18 06:12:15 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Steven M. Parrish 2009-11-18 16:27:33 EST
This is an issue better handled by upstream developers.  Since no upstream report has been linked to this report in the time alloted going to close as INSUFFICIENTDATA.  If you can reproduce on F11 or F12 please reopen this report updating the release number and also file upstream @ bugs.kde.org
Comment 12 Joe Bayes 2009-12-03 20:37:24 EST
Sorry about the delay; I just managed to get F12 installed. The problem appears to have been fixed in the 4.3.3 release. Thank you!

Note You need to log in before you can comment on or make changes to this bug.